% cintrue.m

% this routine will generate the true model used in the example problem
%
% function cin=cintrue(t)
%
% t = time array at which true solution is sought
% cin = true concentration vector

function cin=cintrue(t)

nt=size(t,2);

nterms=3;
off=zeros(nterms,1);
m=off;
d=off;
off(1)=130.;
off(2)=150.;
off(3)=190.;
m(1)=1.;
m(2)=0.3;
m(3)=0.5;
d(1)=5;
d(2)=10;
d(3)=7;

cin=zeros(1,nt);

for i=1:nterms
	cin=cin+m(i)*exp(-(t-off(i)).^2/(2*d(i)^2));
end % for i

return

